## org.apache.commons.collections.iterators
Class IteratorEnumeration

    java.lang.Object
      org.apache.commons.collections.iterators.IteratorEnumeration

All Implemented Interfaces:
  Enumeration

public class IteratorEnumeration
extends Object
implements Enumeration

Adapter to make an `Iterator` instance appear to be an `Enumeration` instance.

Since:
  Commons Collections 1.0
Version:
  $Revision: 1.9 $ $Date: 2004/05/03 10:23:38 $
Author:
  James Strachan

Constructor Summary
`IteratorEnumeration()` Constructs a new `IteratorEnumeration` that will not function until `setIterator` is invoked.
`IteratorEnumeration(Iterator iterator)` Constructs a new `IteratorEnumeration` that will use the given iterator.

Method Summary
`Iterator` `getIterator()` Returns the underlying iterator.
`boolean` `hasMoreElements()` Returns true if the underlying iterator has more elements.
`Object` `nextElement()` Returns the next element from the underlying iterator.
`void` `setIterator(Iterator iterator)` Sets the underlying iterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IteratorEnumeration

    public IteratorEnumeration()

  Constructs a new `IteratorEnumeration` that will not function until `setIterator` is invoked.

### IteratorEnumeration

    public IteratorEnumeration(Iterator iterator)

  Constructs a new `IteratorEnumeration` that will use the given iterator.

Parameters:
  `iterator` - the iterator to use

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Returns true if the underlying iterator has more elements.

  Specified by:
    `hasMoreElements` in interface `Enumeration`
  Returns:
    true if the underlying iterator has more elements

### nextElement

    public Object nextElement()

  Returns the next element from the underlying iterator.

  Specified by:
    `nextElement` in interface `Enumeration`
  Returns:
    the next element from the underlying iterator.
  Throws:
    `NoSuchElementException` - if the underlying iterator has no more elements

### getIterator

    public Iterator getIterator()

  Returns the underlying iterator.

  Returns:
    the underlying iterator

### setIterator

    public void setIterator(Iterator iterator)

  Sets the underlying iterator.

  Parameters:
    `iterator` - the new underlying iterator

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.